/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VIsForm;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VIsFormRecord extends TableRecordImpl<VIsFormRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_is_form.key_element</code>.
     */
    public void setKeyElement(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_is_form.key_element</code>.
     */
    public Integer getKeyElement() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.v_is_form.dn</code>.
     */
    public void setDn(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_is_form.dn</code>.
     */
    public String getDn() {
        return (String) get(1);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VIsFormRecord
     */
    public VIsFormRecord() {
        super(VIsForm.V_IS_FORM);
    }

    /**
     * Create a detached, initialised VIsFormRecord
     */
    public VIsFormRecord(Integer keyElement, String dn) {
        super(VIsForm.V_IS_FORM);

        setKeyElement(keyElement);
        setDn(dn);
        resetChangedOnNotNull();
    }
}
